//
//  PFNavigationController.m
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/1/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

#import "PFNavigationController.h"
#import "PFSearchViewController.h"

@implementation PFNavigationController

- (id)initWithRootViewController:(UIViewController *)rootViewController {
    if (self = [super initWithRootViewController:rootViewController]) {
        self.navigationBar.barStyle = UIBarStyleBlack;
    }
    return self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
    Init navigation controller with root view controller is an instance of PFSearchViewController class
 */
- (id)init {
    PFSearchViewController *searchViewController = [[PFSearchViewController alloc] initWithNibName:@"PFSearchViewController"
                                                                                            bundle:nil];
    return [self initWithRootViewController:searchViewController];
}

@end
