//
//  PFComment.m
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/5/13.
//  Copyright (c) 2013 Thao Nguyen Huy. All rights reserved.
//

#import "PFComment.h"
#import "NSDictionary+PFCategory.h"
#import "PFUser.h"

@implementation PFComment

@synthesize commentId   = _commentId;
@synthesize content     = _content;
@synthesize author      = _author;

- (id)initWithAttributes:(NSDictionary *)attributes {
    if (self = [super init]) {
        _commentId  = [attributes stringForKey:kFieldNameId];
        _content    = [attributes stringForKey:kFieldNameContent];
        NSString *authorId      = [attributes stringForKey:kFieldNameAuthor];
        NSString *authorName    = [attributes stringForKey:kFieldNameAuthorName];
        NSString *iconFarm      = [attributes stringForKey:kFieldNameIconFarm];
        NSString *iconServer    = [attributes stringForKey:kFieldNameIconServer];
        _author = [[PFUser alloc ] initWithId:authorId
                                         name:authorName
                                     iconFarm:iconFarm
                                   iconServer:iconServer];
    }
    return self;
}

@end
