//
//  NSDictionary+PFCategory.m
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/1/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

#import "NSDictionary+PFCategory.h"

@implementation NSDictionary (PFCategory)

- (id)objectOrNilForKey:(id)aKey {
    if (![[self objectForKey:aKey] isEqual:[NSNull null]]) {
        return [self objectForKey:aKey];
    }
    return nil;
}

- (NSString *)stringForKey:(id)aKey {
    if (![[self objectForKey:aKey] isEqual:[NSNull null]]) {
        return [self objectForKey:aKey];
    }
    return @"";
}

- (NSInteger)integerForKey:(id)aKey {
    return [[self objectForKey:aKey] integerValue];
}

@end
