//
//  PFUser.h
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/2/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface PFUser : NSObject

@property (readonly) NSString *userId;
@property (readonly) NSString *userName;
@property (readonly) NSString *realName;
@property (readonly) NSString *location;
@property (readonly) NSString *iconServer;
@property (readonly) NSString *iconFarm;
@property (readonly, nonatomic, unsafe_unretained) NSURL *avatarImageURL;

- (id)initWithAttributes:(NSDictionary *)attributes;

- (id)initWithId:(NSString *)anId name:(NSString *)aName iconFarm:(NSString *)aFarm iconServer:(NSString *)aServerId;

@end
