//
//  PFCommentCell.h
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/5/13.
//  Copyright (c) 2013 Thao Nguyen Huy. All rights reserved.
//

#import <UIKit/UIKit.h>

@class PFComment;

@interface PFCommentCell : UITableViewCell

@property (weak, nonatomic) IBOutlet UIImageView *avatarImageView;
@property (weak, nonatomic) IBOutlet UILabel *authorNameLabel;
@property (weak, nonatomic) IBOutlet UILabel *contentLabel;

@property (strong, nonatomic) PFComment *comment;

+ (PFCommentCell *)cellFromNib;
+ (CGFloat)heightForCellWithPost:(PFComment *)comment;

@end
