//
//  PFConstants.h
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/1/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

// Declaration of all constants in this application

// Flickr API key
extern NSString *const kFlickrApplicationKey;

// Base URL
extern NSString *const kURLBaseForAPI;

// Flickr API methods
extern NSString *const kFlickrMethodPhotosSearch;
extern NSString *const kFlickrMethodPhotoGetInfo;
extern NSString *const kFlickrMethodPhotosCommentsGetList;

// JSON field names
extern NSString *const kFieldNameAPIKey;
extern NSString *const kFieldNameMethod;
extern NSString *const kFieldNameFormat;
extern NSString *const kFieldNameJson;
extern NSString *const kFieldNameNoJsonCallback;
extern NSString *const kFieldNameText;
extern NSString *const kFieldNamePerPage;
extern NSString *const kFieldNamePhotos;
extern NSString *const kFieldNamePhoto;
extern NSString *const kFieldNameStat;
extern NSString *const kFieldNameId;
extern NSString *const kFieldNameTitle;
extern NSString *const kFieldNameSecret;
extern NSString *const kFieldNameServer;
extern NSString *const kFieldNameFarm;
extern NSString *const kFieldNamePhotoId;
extern NSString *const kFieldNameOwner;
extern NSString *const kFieldNameNSID;
extern NSString *const kFieldNameUserName;
extern NSString *const kFieldNameRealName;
extern NSString *const kFieldNameLocation;
extern NSString *const kFieldNameIconServer;
extern NSString *const kFieldNameIconFarm;
extern NSString *const kFieldNameComments;
extern NSString *const kFieldNameComment;
extern NSString *const kFieldNameContent;
extern NSString *const kFieldNameAuthor;
extern NSString *const kFieldNameAuthorName;


