//
//  PFConstants.m
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/1/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

#import "PFConstants.h"

// Flickr API key
NSString *const kFlickrApplicationKey   = @"ffc99c6a7e321129c0a0864a40a31dd8";

// Base URL
NSString *const kURLBaseForAPI          = @"http://api.flickr.com/services/rest/?";

// Flickr API methods
NSString *const kFlickrMethodPhotosSearch             = @"flickr.photos.search";
NSString *const kFlickrMethodPhotoGetInfo             = @"flickr.photos.getInfo";
NSString *const kFlickrMethodPhotosCommentsGetList    = @"flickr.photos.comments.getList";

// JSON field names
NSString *const kFieldNameAPIKey            = @"api_key";
NSString *const kFieldNameMethod            = @"method";
NSString *const kFieldNameFormat            = @"format";
NSString *const kFieldNameJson              = @"json";
NSString *const kFieldNameNoJsonCallback    = @"nojsoncallback";
NSString *const kFieldNameText              = @"text";
NSString *const kFieldNamePerPage           = @"per_page";
NSString *const kFieldNamePhotos            = @"photos";
NSString *const kFieldNamePhoto             = @"photo";
NSString *const kFieldNameStat              = @"stat";
NSString *const kFieldNameId                = @"id";
NSString *const kFieldNameTitle             = @"title";
NSString *const kFieldNameSecret            = @"secret";
NSString *const kFieldNameServer            = @"server";
NSString *const kFieldNameFarm              = @"farm";
NSString *const kFieldNamePhotoId           = @"photo_id";
NSString *const kFieldNameOwner             = @"owner";
NSString *const kFieldNameNSID              = @"nsid";
NSString *const kFieldNameUserName          = @"username";
NSString *const kFieldNameRealName          = @"realname";
NSString *const kFieldNameLocation          = @"location";
NSString *const kFieldNameIconServer        = @"iconserver";
NSString *const kFieldNameIconFarm          = @"iconfarm";
NSString *const kFieldNameComments          = @"comments";
NSString *const kFieldNameComment           = @"comment";
NSString *const kFieldNameContent           = @"_content";
NSString *const kFieldNameAuthor            = @"author";
NSString *const kFieldNameAuthorName        = @"authorname";




